petsc-3.6.2 2015-10-02
Report Typos and Errors

# ISLocalToGlobalMapping

mappings from an arbitrary local ordering from 0 to n-1 to a global PETSc ordering used by a vector or matrix.

### Synopsis

    typedef struct _p_ISLocalToGlobalMapping* ISLocalToGlobalMapping;

Note: mapping from Local to Global is scalable; but Global to Local may not be if the range of global values represented locally is very large.

Note: the ISLocalToGlobalMapping is actually a private object; it is included here for the inline function ISLocalToGlobalMappingApply() to allow it to be inlined since it is used so often.

### See Also

ISLocalToGlobalMappingCreate()

Level:intermediate
Location:src/vec/is/is/../../../../include/petscistypes.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages